> ## Documentation Index
> Fetch the complete documentation index at: https://developer.trychart.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Introspect

> Read account information associated with an `access_token`.



## OpenAPI

````yaml GET /introspect
openapi: 3.0.1
info:
  title: Chart API
  description: >-
    Chart Tax API offers real-time collection of verified federal and state tax
    records.
  version: 1.0.0
servers:
  - url: https://api.trychart.com
security:
  - bearerAuth: []
paths:
  /introspect:
    get:
      description: Read account information associated with an `access_token`.
      parameters:
        - $ref: '#/components/parameters/ChartAPIVersion'
      responses:
        '200':
          description: Introspect Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Introspection'
components:
  parameters:
    ChartAPIVersion:
      name: Chart-API-Version
      in: header
      description: >-
        Header used to specify the version for a given API request. Current
        version is 2024-01-01.
      schema:
        type: string
        default: '2024-01-01'
  schemas:
    Introspection:
      type: object
      properties:
        taxpayer_id:
          description: The Chart UUID identifying the taxpayer for a specific submission.
          type: string
          example: clt0szoxp0001p82z45ufj6t4
        client_id:
          description: The client id of the application associated with the `access_token`.
          type: string
          example: 23ca205dc62bbf3e3f940667020bbdcc
        name:
          description: The account name retrieved from tax record provider.
          type: string
          nullable: true
          example: John Doe
        provider_id:
          description: The tax record provider associated with the access_token.
          type: string
          enum:
            - turbotax
            - hr
            - taxact
            - tax_slayer
            - jackson
            - free_tax_usa
            - irs
            - irs_tax_pro
            - pilot
            - cch_axcess
            - drake
            - proconnect
            - chart-sandbox
          example: turbotax
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Please use your access_token returned from the /auth/token endpoint.

````